<?php

class HomePage
{
	public static function integrate_action_frontpage(&$default_action)
	{
		$default_action = array(
			'file' => CONTROLLERDIR . '/HomePage.controller.php',
			'controller' => 'HomePage_Controller',
			'function' => 'action_homepage'
		);
	}

	public static function integrate_actions(&$actionArray, &$adminActions)
	{
		$actionArray['forum'] = array(
			'BoardIndex.controller.php',
			'BoardIndex_Controller',
			'action_boardindex'
		);
	}

	public static function integrate_current_action(&$current_action)
	{
		if ($current_action === 'home')
		{
			if (empty($_REQUEST['action']))
				$current_action = 'base';
		}
	}

	public static function integrate_menu_buttons(&$buttons, &$menu_count)
	{
		global $txt, $boardurl, $scripturl;

		loadLanguage('HomePage');

		$parsed = parse_url($boardurl);

		$buttons = elk_array_insert($buttons, 'home', array(
			'base' => array(
				'title' => $txt['home_btn'],
				'href' => $boardurl,
				'data-icon' => '&#xf05a;',
				'show' => true,
				'action_hook' => true,
// 				'sub_buttons' => array(
// 					'addons' => array(
// 						'title' => $txt['addons_btn'],
// 						'href' => 'http://addons.elkarte.net/',
// 						'show' => true,
// 					),
// 					'themes' => array(
// 						'title' => $txt['themes_btn'],
// 						'href' => 'http://themes.elkarte.net/',
// 						'show' => true,
// 					),
// 					'tools' => array(
// 						'title' => $txt['tools_btn'],
// 						'href' => 'http://tools.elkarte.net/',
// 						'show' => true,
// 					),
// 					'apidoc' => array(
// 						'title' => $txt['apidoc_btn'],
// 						'href' => 'http://elkarte.github.io/Doc',
// 						'show' => true,
// 					),
// 				),
			),
		));
		$buttons['home']['href'] = $scripturl . '?action=forum';
	}
}